@import "critical.scss";

td.dl {
  font-size: 0.92em;
  text-align: left;
  span {
    float: left;
    height: 1.66em;
    line-height: 1.66em;
    margin: 0 0.25em 0 0;
    padding: 0 0 0 0.25em;
    background: rgba(#cbf, 0.16);
    border: #cbf 1px solid;
  }
  b {
    font-weight: inherit;
  }
}

table.all-versions {
    margin: 1em 0;

    td, th {
        text-align: left;
        vertical-align: top; padding: 0.25em;
        border-bottom: 1px dotted var(--neutral-shade);
    }
    th.deps {
        text-align: center;
    }
    .msrv {
        text-align: right;
        padding-left: 1ex;
    }
    .ver {
        font-variant-numeric: tabular-nums;
        text-align: right;
        padding-right: 1em;
        font-weight: normal;
        > a, > del {
            font-weight: bold;
            span {
                font-weight: 300; //+suffix on semver
            }
        }
        > a.src {
            font-weight: normal;
        }
    }
    .break > td, .break > th {
        border-bottom: 2px solid var(--neutral-shade);
        padding-bottom: 2em;
    }
    .break + tr > td, .break + tr > th {
        padding-top: 1em;
    }
    tr:target {
        td, th { background: var(--link-code-background-color); }
    }
    .ver, .date {
        white-space: nowrap;
    }
    .date {
        text-align:justify;
        text-align:justify-all;
        text-align-last:justify;
        padding-right: 0.9em;
    }
    ul {
        margin: 0; padding: 0;
    }
    li {
        list-style: none;
        margin: 0; padding: 0 0 0 1em;
    }
    .feat {
        li {
            padding-left: 0;
        }
        p {
            margin-bottom: 0;
            font-size: 0.95em
        }
    }
    li.up::before {
        content: "⬆"; color: var(--green-shade); vertical-align: top; margin-right: 0.5ex;
    }
    li.add::before {
        content: "+"; vertical-align: top; margin-right: 0.5ex;
    }
    li.rm::before {
        content: "-"; vertical-align: top; margin-right: 0.5ex;
    }
    li.add > ins {
        color: var(--green-shade);
    }
    li.up {
        ins {
            font-weight: bolder;
        }
        a:not(:hover):not(:focus) { color: inherit; }
    }
    ins {
        text-decoration: none;
        a:not(:hover):not(:focus) { color: inherit; }
    }
    del {
        color: $red-shade;
    }
}
